org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans

## Class Client

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans.Client

-     public class Client
      extends Object

  Java class for Client complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="Client">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="lastUpdate" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
               <element name="preferredLanguage" type="{http://www.w3.org/2001/XMLSchema}language"/>
               <any processContents='lax' maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Object>` | `any`
    `protected XMLGregorianCalendar` | `lastUpdate`
    `protected String` | `preferredLanguage`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Client()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Object>` | `getAny()` Gets the value of the any property.
    `XMLGregorianCalendar` | `getLastUpdate()` Gets the value of the lastUpdate property.
    `String` | `getPreferredLanguage()` Gets the value of the preferredLanguage property.
    `void` | `setLastUpdate(XMLGregorianCalendar value)` Sets the value of the lastUpdate property.
    `void` | `setPreferredLanguage(String value)` Sets the value of the preferredLanguage property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### lastUpdate

          protected XMLGregorianCalendar lastUpdate

    - #### preferredLanguage

          protected String preferredLanguage

    - #### any

          protected List<Object> any

  - ### Constructor Detail

    - #### Client

          public Client()

  - ### Method Detail

    - #### getLastUpdate

          public XMLGregorianCalendar getLastUpdate()

      Gets the value of the lastUpdate property.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setLastUpdate

          public void setLastUpdate(XMLGregorianCalendar value)

      Sets the value of the lastUpdate property.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getPreferredLanguage

          public String getPreferredLanguage()

      Gets the value of the preferredLanguage property.
      Returns:
        possible object is `String`

    - #### setPreferredLanguage

          public void setPreferredLanguage(String value)

      Sets the value of the preferredLanguage property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAny

          public List<Object> getAny()

      Gets the value of the any property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the any property.

      For example, to add a new item, do as follows:

              getAny().add(newItem);

      Objects of the following type(s) are allowed in the list `Object` `Element`

Copyright © 2017 WSO2. All rights reserved.